[BACK]Return to Makefile CVS log [TXT][DIR] Up to [cvs.NetBSD.org] / pkgsrc / security / p5-Crypt-CBC

File: [cvs.NetBSD.org] / pkgsrc / security / p5-Crypt-CBC / Makefile (download)

Revision 1.21, Sun Sep 10 13:04:46 2006 UTC (13 years, 3 months ago) by heinz
Branch: MAIN
CVS Tags: pkgsrc-2007Q4-base, pkgsrc-2007Q4, pkgsrc-2007Q3-base, pkgsrc-2007Q3, pkgsrc-2007Q2-base, pkgsrc-2007Q2, pkgsrc-2007Q1-base, pkgsrc-2007Q1, pkgsrc-2006Q4-base, pkgsrc-2006Q4, pkgsrc-2006Q3-base, pkgsrc-2006Q3
Changes since 1.20: +2 -2 lines

Updated to version 2.19.
This resolves PR pkg/34398 by Martin Wilke.

Pkgsrc changes:
  - none

Changes since version 2.17:
===========================
2.19    Tue Jul 18 18:39:57 EDT 2006
	- Renamed Crypt::CBC-2.16-vulnerability.txt so that package installs
	  correctly under Cygwin

2.18   2006/06/06 23:17:04
	- added more documentation describing how to achieve compatibility
	  with old encrypted messages

# $NetBSD: Makefile,v 1.21 2006/09/10 13:04:46 heinz Exp $

DISTNAME=		Crypt-CBC-2.19
PKGNAME=		p5-${DISTNAME}
SVR4_PKGNAME=		p5cbc
CATEGORIES=		security perl5
MASTER_SITES=		${MASTER_SITE_PERL_CPAN:=Crypt/}

MAINTAINER=		heinz@NetBSD.org
HOMEPAGE=		http://search.cpan.org/dist/Crypt-CBC/
COMMENT=		Perl5 cipher block chaining mode for various crypto algorithms

BUILD_DEPENDS+=		p5-Crypt-Rijndael-[0-9]*:../../security/p5-Crypt-Rijndael
DEPENDS+=		p5-Digest-MD5>=2.0:../../security/p5-Digest-MD5

PKG_INSTALLATION_TYPES=	overwrite pkgviews

USE_LANGUAGES=		# empty
PERL5_PACKLIST=		auto/Crypt/CBC/.packlist

.include "../../lang/perl5/module.mk"
.include "../../mk/bsd.pkg.mk"